Package org.eclipse.emf.compare.match.eobject

## Interface WeightProvider.Descriptor

All Known Implementing Classes:
  `WeightProviderDescriptorImpl`, `WeightProviderDescriptorRCPImpl`

Enclosing interface:
  WeightProvider

    public static interface WeightProvider.Descriptor

Wrapper describing the given weight provider.

Since:
  3.1.0

### Nested Class Summary

Nested Classes
`static interface` `WeightProvider.Descriptor.Registry` Registry of weight provider descriptors.

### Method Summary

All Methods Instance Methods Abstract Methods
`Pattern` `getNsURI()` Returns the pattern of namespace URI on which this weight provider can be applied.
`int` `getRanking()` Returns the ranking of this weight provider.
`WeightProvider` `getWeightProvider()` Returns the wrapped weight provider.

### Method Detail

#### getWeightProvider

    WeightProvider getWeightProvider()

Returns the wrapped weight provider.

Returns:
  the wrapped weight provider

#### getRanking

    int getRanking()

Returns the ranking of this weight provider.

Returns:
  The ranking.

#### getNsURI

    Pattern getNsURI()

Returns the pattern of namespace URI on which this weight provider can be applied.

Returns:
  The namespace URI pattern.